package com.spring.mvc;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

@Controller
public class InitController {

	@RequestMapping(value= "/init", method= RequestMethod.GET)
	public ModelAndView initView() {
		System.out.println("Handler method is called.");

		ModelAndView modelview = new ModelAndView();
		modelview.addObject("message", "This is an example of mvc-interceptors in Spring framework .....!");
		modelview.setViewName("output");

		return modelview;
	}
}